Subject: Re: [PATCH v2 2/5] ls-remote: document --refs option

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Jan 2016 12:01:11 -0800

Jeff King <[email-masked]> writes:

> On Mon, Jan 18, 2016 at 05:57:15PM +0100, Thomas Gummerer wrote:
>
>> +--refs::
>> +	Do not show peeled tags or pseudo-refs like HEAD or MERGE_HEAD
>> +	in the output.
>> +
>
> Minor nit: we show whatever the other side sends us, which is the refs,
> HEAD, and peeled tags. So mentioning MERGE_HEAD isn't wrong (if the
> server _did_ send it to us, we would omit it), but it is a bit
> misleading.
>
> I think saying "pseudo-refs like HEAD" is OK; even though we know it is
> only HEAD in the current server implementation, it better describes what
> the client side is doing.

Good point, I think.  We probably would want to fix the glossary
entry of the word that is not spelled with a dash in between the
two word components (or update the above to spell it as a single
word).